[arch-commits] CVS update of extra/gnome/gnome-network-manager (PKGBUILD policy.patch)

Jan de Groot jgc at archlinux.org
Thu Apr 26 13:28:06 EDT 2007


    Date: Thursday, April 26, 2007 @ 13:28:06
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gnome-network-manager

Modified: PKGBUILD (1.8 -> 1.9) policy.patch (1.2 -> 1.3)

upgpkg: gnome-network-manager 0.6.5-1
Fix dependencies to include libgnomeui instead of gnome-panel, this is a notification area applet


--------------+
 PKGBUILD     |   21 +++++++++++++++------
 policy.patch |   12 ------------
 2 files changed, 15 insertions(+), 18 deletions(-)


Index: extra/gnome/gnome-network-manager/PKGBUILD
diff -u extra/gnome/gnome-network-manager/PKGBUILD:1.8 extra/gnome/gnome-network-manager/PKGBUILD:1.9
--- extra/gnome/gnome-network-manager/PKGBUILD:1.8	Sun Apr 22 17:10:55 2007
+++ extra/gnome/gnome-network-manager/PKGBUILD	Thu Apr 26 13:28:06 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.8 2007/04/22 21:10:55 jgc Exp $
+# $Id: PKGBUILD,v 1.9 2007/04/26 17:28:06 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contrinutor: Arjan Timmerman <arjan at archlinux.org>
 # Contributor: Wael Nasreddine <gandalf at siemens-mobiles.org>
@@ -6,21 +6,23 @@
 # Contributor: Will Rea <sillywilly at gmail.com>
 
 pkgname=gnome-network-manager
-pkgver=0.6.4
-pkgrel=5
-pkgdesc="Gnome frontend to NetworkManager"
+pkgver=0.6.5
+pkgrel=1
+pkgdesc="GNOME frontends to NetWorkmanager"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://www.gnome.org/projects/NetworkManager/"
 makedepends=('pkgconfig' 'perlxml')
-depends=('networkmanager>=0.6.4-3' 'gnome-panel>=2.18.1' 'libnotify>=0.4.4' 'notification-daemon>=0.3.7-2')
+depends=('networkmanager>=0.6.5' 'libgnomeui>=2.18.1' 'libnotify>=0.4.4' 'notification-daemon')
 install=gnome-network-manager.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/NetworkManager/0.6/NetworkManager-${pkgver}.tar.bz2
+        http://ftp.gnome.org/pub/GNOME/sources/network-manager-applet/0.6/network-manager-applet-${pkgver}.tar.bz2
 	policy.patch)
+md5sums=('b827d300eb28458f6588eb843cba418d' '1c94a41e2399d261985a75f0cd3b895b'
+         'd5ef69a18071d9f4ba48cd0a0af243b7')
 
 build() {
   cd ${startdir}/src/NetworkManager-${pkgver}
-  patch -Np1 -i ${startdir}/src/policy.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
         --with-distro=arch --localstatedir=/var
   make DESTDIR=${startdir}/pkg install-autostartDATA
@@ -33,4 +35,11 @@
   make || return 1
   make DESTDIR=${startdir}/pkg install
   popd
+
+  cd ${startdir}/src/nm-applet-${pkgver}
+  patch -Np3 -i ${startdir}/src/policy.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
 }
Index: extra/gnome/gnome-network-manager/policy.patch
diff -u extra/gnome/gnome-network-manager/policy.patch:1.2 extra/gnome/gnome-network-manager/policy.patch:1.3
--- extra/gnome/gnome-network-manager/policy.patch:1.2	Sun Apr 22 13:49:38 2007
+++ extra/gnome/gnome-network-manager/policy.patch	Thu Apr 26 13:28:06 2007
@@ -10,15 +10,3 @@
  		<allow own="org.freedesktop.NetworkManagerInfo"/>
  
  		<allow send_destination="org.freedesktop.NetworkManagerInfo"/>
-diff -urN NetworkManager-orig/src/NetworkManager.conf NetworkManager-policy/src/NetworkManager.conf
---- NetworkManager-orig/src/NetworkManager.conf	2005-01-05 21:40:37.000000000 +0100
-+++ NetworkManager-policy/src/NetworkManager.conf	2006-02-11 19:04:33.000000000 +0100
-@@ -8,7 +8,7 @@
-                 <allow send_destination="org.freedesktop.NetworkManager"/>
-                 <allow send_interface="org.freedesktop.NetworkManager"/>
-         </policy>
--        <policy at_console="true">
-+        <policy group="network">
-                 <allow send_destination="org.freedesktop.NetworkManager"/>
-                 <allow send_interface="org.freedesktop.NetworkManager"/>
-         </policy>




More information about the arch-commits mailing list